# Created by pyp2rpm-3.3.7
%global pypi_name PyChromecast

Name:           python-pychromecast
Version:        14.0.5
Release:        %mkrel 1
Summary:        Python module to talk to Google Chromecast
Group:          Development/Python
License:        MIT
URL:            https://github.com/balloob/pychromecast
Source0:        %{pypi_source}
Patch0:         pychromecast-relax-protobuf.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python library to communicate with the Google Chromecast.

%package -n     python3-pychromecast
Summary:        Python3 module to talk to Google Chromecast
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-pychromecast}

Requires:       python3dist(casttube) >= 0.2
Requires:       python3dist(protobuf) >= 3.19.1
Requires:       python3dist(zeroconf) >= 0.25.1

%description -n python3-pychromecast
Python 3 library to communicate with the Google Chromecast.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pychromecast

%files -n python3-pychromecast -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Feb 13 2025 daviddavid <daviddavid> 14.0.5-1.mga10
+ Revision: 2148686
- new version: 14.0.5
- new version: 14.0.1

* Tue Jan 02 2024 daviddavid <daviddavid> 13.0.8-2.mga10
+ Revision: 2025997
- rebuild for armv7

* Mon Dec 18 2023 daviddavid <daviddavid> 13.0.8-1.mga10
+ Revision: 2018882
- new version: 13.0.8
- switch to pyproject

* Sat May 14 2022 wally <wally> 12.1.2-1.mga9
+ Revision: 1858072
- imported package python-pychromecast

